/// Copyright (c) Microsoft Corporation. 
/// 
/// The contents of this file are subject to the terms of the New BSD License. 
/// You may obtain a copy of the License at http://es5conformm.codeplex.com/license 
/// 
/// Alternatively the contents of this file may be used under the terms of the Microsoft Public License. 
/// You may obtain a copy of the License at http://www.microsoft.com/opensource/licenses.mspx#Ms-PL 

/*
PutValue operates only on references (see step 3.a).
*/

var testName = "simple assignment throws ReferenceError if LeftHandSide is an unresolvable reference in strict mode"

function testcase() {
  'use strict';
  
  try {
    __ES3_1_test_suite_test_11_13_1_unique_id_0__ = 42;
  }
  catch (e) {
    if (e instanceof ReferenceError) {
      return true;
    }
  }
}

sth_addTest(testName, testcase);