/// Copyright (c) Microsoft Corporation. 
/// 
/// The contents of this file are subject to the terms of the New BSD License. 
/// You may obtain a copy of the License at http://es5conformm.codeplex.com/license 
/// 
/// Alternatively the contents of this file may be used under the terms of the Microsoft Public License. 
/// You may obtain a copy of the License at http://www.microsoft.com/opensource/licenses.mspx#Ms-PL 

/*
PutValue operates only on references (see step 7.a of [[ThrowingPut]]).
*/

var testName = "simple assignment throws TypeError if LeftHandSide is a property reference with a primitive base value (this is undefined)"

function testcase() {
  'use strict';
  
  try {
    this.x = 42;
  }
  catch (e) {
    if (e instanceof TypeError) {
      return true;
    }
  }
}

sth_addTest(testName, testcase);