/// Copyright (c) Microsoft Corporation. 
/// 
/// The contents of this file are subject to the terms of the New BSD License. 
/// You may obtain a copy of the License at http://es5conformm.codeplex.com/license 
/// 
/// Alternatively the contents of this file may be used under the terms of the Microsoft Public License. 
/// You may obtain a copy of the License at http://www.microsoft.com/opensource/licenses.mspx#Ms-PL 

var testName = "with statement allowed in nested Function even if its container Function is strict)";

function testcase() {
  // 'eval' (or for that matter 'Function') inherits the strictness of its calling
  // context (10.4.2). In this case, the calling context is non-strict (since the
  // function testcase() itself is not in strict mode.
  Function("\
            \'use strict\';\
            var f1 = Function(\
                            \"var o = {}; \
                            with (o) {};\
                            \")\
          ");
  return true;
}

sth_addTest(testName, testcase);