/// Copyright (c) Microsoft Corporation. 
/// 
/// The contents of this file are subject to the terms of the New BSD License. 
/// You may obtain a copy of the License at http://es5conformm.codeplex.com/license 
/// 
/// Alternatively the contents of this file may be used under the terms of the Microsoft Public License. 
/// You may obtain a copy of the License at http://www.microsoft.com/opensource/licenses.mspx#Ms-PL 

var testName = "with statement in strict mode throws SyntaxError (function expression, where the container function is strict)";

function testcase() {
  'use strict';

  try {
    eval("var f = function () {\
                var o = {}; \
                with (o) {}; \
             }\
        ");
  }
  catch (e) {
    if (e instanceof SyntaxError) {
      return true;
    }
  }
}

sth_addTest(testName, testcase);