/// Copyright (c) Microsoft Corporation. 
/// 
/// The contents of this file are subject to the terms of the New BSD License. 
/// You may obtain a copy of the License at http://es5conformm.codeplex.com/license 
/// 
/// Alternatively the contents of this file may be used under the terms of the Microsoft Public License. 
/// You may obtain a copy of the License at http://www.microsoft.com/opensource/licenses.mspx#Ms-PL 

var testName = "catch introduces scope - updates are based on scope";

function testcase() {
  var res1 = false;
  var res2 = false;
  var res3 = false;

  var x = 'local';

  function foo() {
    this.x = 'instance';
  }

  try {
    throw foo;
  }
  catch (e) {
    res1 = (x === 'local');
    e();
    res2 = (x === 'instance');
  }
  res3 = (x === 'local');
  
  if (res1 === true &&
      res2 === true &&
      res3 === true) {
    return true;
  }
}

sth_addTest(testName, testcase);