/// Copyright (c) Microsoft Corporation. 
/// 
/// The contents of this file are subject to the terms of the New BSD License. 
/// You may obtain a copy of the License at http://es5conformm.codeplex.com/license 
/// 
/// Alternatively the contents of this file may be used under the terms of the Microsoft Public License. 
/// You may obtain a copy of the License at http://www.microsoft.com/opensource/licenses.mspx#Ms-PL 

var testName = "RegExp.prototype.source is a data property with default attribute values (false)";

function testcase() {
  var d = Object.getOwnPropertyDescriptor(RegExp.prototype, 'source');
  
  if (d.writable === false &&
      d.enumerable === false &&
      d.configurable === false) {
    return true;
  }
}

function prereq() {
  return fnExists(Object.getOwnPropertyDescriptor);  
}

sth_addTest(testName, testcase);