/// Copyright (c) Microsoft Corporation. 
/// 
/// The contents of this file are subject to the terms of the New BSD License. 
/// You may obtain a copy of the License at http://es5conformm.codeplex.com/license 
/// 
/// Alternatively the contents of this file may be used under the terms of the Microsoft Public License. 
/// You may obtain a copy of the License at http://www.microsoft.com/opensource/licenses.mspx#Ms-PL 

var testName = "Object.keys returns the standard built-in Array containing own enumerable properties (function)";

function testcase() {
  function foo() {}
  foo.x = 1;
  
  var a = Object.keys(foo);
  if (a.length === 1 &&
      a[0] === 'x') {
    return true;
  }
}

function prereq() {
  return fnExists(Object.keys);
}

sth_addTest(testName, testcase, prereq);