/// Copyright (c) Microsoft Corporation. 
/// 
/// The contents of this file are subject to the terms of the New BSD License. 
/// You may obtain a copy of the License at http://es5conformm.codeplex.com/license 
/// 
/// Alternatively the contents of this file may be used under the terms of the Microsoft Public License. 
/// You may obtain a copy of the License at http://www.microsoft.com/opensource/licenses.mspx#Ms-PL 

var testName = "Object.getOwnPropertyNames - descriptor of resultant array is all true";

function testcase() {
  var obj = new Object();
  obj.x = 1;
  obj.y = 2;
  var result = Object.getOwnPropertyNames(obj);
  var desc = Object.getOwnPropertyDescriptor(result,"0");
  if (desc.enumerable === true &&
      desc.configurable === true &&
      desc.writable === true) {
    return true;
  }
}


function prereq() {
  return fnExists(Object.getOwnPropertyNames);
}

sth_addTest(testName, testcase, prereq);