/// Copyright (c) Microsoft Corporation. 
/// 
/// The contents of this file are subject to the terms of the New BSD License. 
/// You may obtain a copy of the License at http://es5conformm.codeplex.com/license 
/// 
/// Alternatively the contents of this file may be used under the terms of the Microsoft Public License. 
/// You may obtain a copy of the License at http://www.microsoft.com/opensource/licenses.mspx#Ms-PL 

/*
15.3.4.5 step 2 specifies that a TypeError must be thrown if the Target is not callable.
*/
var testName = "Function.prototype.bind allows Target to be a constructor (Number)";

function testcase() {
  var bnc = Number.bind(null);
  var n = bnc(42);
  if (n === 42) {
    return true;
  }
}

function prereq() {
  return fnExists(Function.prototype.bind);
}

sth_addTest(testName, testcase, prereq);