/// Copyright (c) Microsoft Corporation. 
/// 
/// The contents of this file are subject to the terms of the New BSD License. 
/// You may obtain a copy of the License at http://es5conformm.codeplex.com/license 
/// 
/// Alternatively the contents of this file may be used under the terms of the Microsoft Public License. 
/// You may obtain a copy of the License at http://www.microsoft.com/opensource/licenses.mspx#Ms-PL 

var testName = "Function.prototype.bind, [[Prototype]] is Function.prototype";

function testcase() {
  function foo() { }
  var o = {};
  
  var bf = foo.bind(o);
  if (Function.prototype.isPrototypeOf(bf)) {
    return true;
  }
}

function prereq() {
  return fnExists(Function.prototype.bind);
}

sth_addTest(testName, testcase, prereq);