/// Copyright (c) Microsoft Corporation. 
/// 
/// The contents of this file are subject to the terms of the New BSD License. 
/// You may obtain a copy of the License at http://es5conformm.codeplex.com/license 
/// 
/// Alternatively the contents of this file may be used under the terms of the Microsoft Public License. 
/// You may obtain a copy of the License at http://www.microsoft.com/opensource/licenses.mspx#Ms-PL 

var testName = "Array.prototype.indexOf returns -1 if 'length' is 0 (subclassed Array, length overridden to false (type conversion))";

function testcase() {
  foo.prototype = new Array(1, 2, 3);
  function foo() {}
  var f = new foo();
  f.length = false;
  
  var i = f.indexOf(1);
  
  if (i === -1) {
    return true;
  }
}

function prereq() {
  return fnExists(Array.prototype.indexOf);
}

sth_addTest(testName, testcase, prereq);