/// Copyright (c) Microsoft Corporation. 
/// 
/// The contents of this file are subject to the terms of the New BSD License. 
/// You may obtain a copy of the License at http://es5conformm.codeplex.com/license 
/// 
/// Alternatively the contents of this file may be used under the terms of the Microsoft Public License. 
/// You may obtain a copy of the License at http://www.microsoft.com/opensource/licenses.mspx#Ms-PL 

/*
15.5.5.2 defines [[GetOwnProperty]] for Strings. It supports using indexing
notation to look up non numeric property names.
*/

var testName = "String value indexing returns undefined if the numeric index (Infinity) is not an array index";

function testcase() {
  var s = String("hello world");

  if (s[Infinity] === undefined) {
    return true;
  }
}

sth_addTest(testName, testcase);