/// Copyright (c) Microsoft Corporation. 
/// 
/// The contents of this file are subject to the terms of the New BSD License. 
/// You may obtain a copy of the License at http://es5conformm.codeplex.com/license 
/// 
/// Alternatively the contents of this file may be used under the terms of the Microsoft Public License. 
/// You may obtain a copy of the License at http://www.microsoft.com/opensource/licenses.mspx#Ms-PL 

var testName = "Number.prototype, its [[Class]] must be 'Number'";

function testcase() {
  var d = Object.getOwnPropertyDescriptor(Number, 'prototype');
  var s = Object.prototype.toString.call(d);
  if (s === '[object Number]') {
    return true;
  }
}

sth_addTest(testName, testcase);