/// Copyright (c) Microsoft Corporation. 
/// 
/// The contents of this file are subject to the terms of the New BSD License. 
/// You may obtain a copy of the License at http://es5conformm.codeplex.com/license 
/// 
/// Alternatively the contents of this file may be used under the terms of the Microsoft Public License. 
/// You may obtain a copy of the License at http://www.microsoft.com/opensource/licenses.mspx#Ms-PL 

/*
When invoked using [[Call]] with an object that implements valueOf
that returns a primitive value, step 4, should return this primitive value.
*/

var testName = "Number.prototype.toJSON(key) called as a method - custom object with valueOf returning a prim value - returns prim value";

function testcase() {
  var o = { valueOf : function () { return 1;} };

  try {
    var v = Number.prototype.toJSON.call(o, 0);
    if (v === 1) {
      return true;
    }
  }
  catch (e) {
  }
}

function prereq() {
  return fnExists(Number.prototype.toJSON);
}

sth_addTest(testName, testcase, prereq);