/// Copyright (c) Microsoft Corporation. 
/// 
/// The contents of this file are subject to the terms of the New BSD License. 
/// You may obtain a copy of the License at http://es5conformm.codeplex.com/license 
/// 
/// Alternatively the contents of this file may be used under the terms of the Microsoft Public License. 
/// You may obtain a copy of the License at http://www.microsoft.com/opensource/licenses.mspx#Ms-PL 

var testName = "simple assignment throws TypeError if LeftHandSide is a readonly property in strict mode (Global.Infinity)"

function testcase() {

  function test(o) {
    'use strict';

    try {
      o.Infinity = 42;
    }
    catch (e) {
      if (e instanceof TypeError) {
        return true;
      }
    }
  }

  return test(this);
}

sth_addTest(testName, testcase);