/// Copyright (c) Microsoft Corporation. 
/// 
/// The contents of this file are subject to the terms of the New BSD License. 
/// You may obtain a copy of the License at http://es5conformm.codeplex.com/license 
/// 
/// Alternatively the contents of this file may be used under the terms of the Microsoft Public License. 
/// You may obtain a copy of the License at http://www.microsoft.com/opensource/licenses.mspx#Ms-PL 

/*
The effect of preventExtentions must be testable by calling isExtensible
*/
var testName = "Object.preventExtensions returns its arguments after setting its extensible property to false";

function testcase() {
  var o  = {};
  var o2 = undefined;

  o2 = Object.preventExtensions(o);
  if (o2 === o && Object.isExtensible(o2) === false) {
    return true;
  }
}

function prereq() {
  return fnExists(Object.preventExtensions);
}

sth_addTest(testName, testcase, prereq);