/// Copyright (c) Microsoft Corporation. 
/// 
/// The contents of this file are subject to the terms of the New BSD License. 
/// You may obtain a copy of the License at http://es5conformm.codeplex.com/license 
/// 
/// Alternatively the contents of this file may be used under the terms of the Microsoft Public License. 
/// You may obtain a copy of the License at http://www.microsoft.com/opensource/licenses.mspx#Ms-PL 

/*
A newly created object using the Object contructor has its [[Extensible]]
property set to true by default (15.2.2.1, step 8).
*/
var testName = "Object.isExtensible is true for objects created using the Object ctor";

function testcase() {
  var o = new Object();

  if (Object.isExtensible(o) === true) {
    return true;
  }
}

function prereq() {
  return fnExists(Object.isExtensible);
}

sth_addTest(testName, testcase, prereq);