/// Copyright (c) Microsoft Corporation. 
/// 
/// The contents of this file are subject to the terms of the New BSD License. 
/// You may obtain a copy of the License at http://es5conformm.codeplex.com/license 
/// 
/// Alternatively the contents of this file may be used under the terms of the Microsoft Public License. 
/// You may obtain a copy of the License at http://www.microsoft.com/opensource/licenses.mspx#Ms-PL 

var testName = "Object.getOwnPropertyNames returns array of property names (RegExp.prototype)";

function testcase() {
  var result = Object.getOwnPropertyNames(RegExp.prototype);
  
  // 'compile' is a JScript extension
  var expResult = ["constructor", "exec", "test", "toString", "source", "global", "ignoreCase", "multiline", "lastIndex", "compile"];
  if (compareArray(expResult, result)) {
    return true;
  }
}

function prereq() {
  return fnExists(Object.getOwnPropertyNames);
}

sth_addTest(testName, testcase, prereq);