/// Copyright (c) Microsoft Corporation. 
/// 
/// The contents of this file are subject to the terms of the New BSD License. 
/// You may obtain a copy of the License at http://es5conformm.codeplex.com/license 
/// 
/// Alternatively the contents of this file may be used under the terms of the Microsoft Public License. 
/// You may obtain a copy of the License at http://www.microsoft.com/opensource/licenses.mspx#Ms-PL 

var testName = "Object.getOwnPropertyNames returns array of property names (Object.prototype)";

function testcase() {
  var result = Object.getOwnPropertyNames(Object.prototype);
  var expResult = ["constructor", "toString", "valueOf", "isPrototypeOf", "hasOwnProperty", "propertyIsEnumerable", "toLocaleString"];
  if (compareArray(expResult, result)) {
    return true;
  }
}

function prereq() {
  return fnExists(Object.getOwnPropertyNames);
}

sth_addTest(testName, testcase, prereq);