/// Copyright (c) Microsoft Corporation. 
/// 
/// The contents of this file are subject to the terms of the New BSD License. 
/// You may obtain a copy of the License at http://es5conformm.codeplex.com/license 
/// 
/// Alternatively the contents of this file may be used under the terms of the Microsoft Public License. 
/// You may obtain a copy of the License at http://www.microsoft.com/opensource/licenses.mspx#Ms-PL 

var testName = "Function.prototype.bind allows Target to be a constructor (Date)";

function testcase() {
  var bdc = Date.bind(null);
  var s = bdc(0, 0, 0);
  if (typeof(s) === 'string') {
    return true;
  }
}

function prereq() {
  return fnExists(Function.prototype.bind);
}

sth_addTest(testName, testcase, prereq);