/// Copyright (c) Microsoft Corporation. 
/// 
/// The contents of this file are subject to the terms of the New BSD License. 
/// You may obtain a copy of the License at http://es5conformm.codeplex.com/license 
/// 
/// Alternatively the contents of this file may be used under the terms of the Microsoft Public License. 
/// You may obtain a copy of the License at http://www.microsoft.com/opensource/licenses.mspx#Ms-PL 

var testName = "String.prototype.trim handles whitepace and lineterminators (ab\\u00A0c)";

function testcase() {
  if ("ab\u00A0c".trim() === "ab\u00A0c") {
    return true;
  }
}

function prereq() {
  return fnExists(String.prototype.trim);
}

sth_addTest(testName, testcase, prereq);